package com.ruoyi.common.utils.onenet;

import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

@Data
public class DeviceInfo {

    private int code;
    private Data data;
    private String msg;
    private String requestId;

    @lombok.Data
    public static class Data {
        private long did;
        private String pid;
        private int accessPt;
        private String authInfo;
        private int dataPt;
        private String name;
        private String desc;
        private int status; // 设备状态，0-离线，1-在线，2-未激活
        private LocalDateTime createTime;
        private LocalDateTime activateTime;
        private LocalDateTime lastTime;
        private String imsi;
        private String imei;
        private String psk;
        private String groupId;
        private boolean enableStatus;
        private List<String> tags;
        private String lat;
        private String lon;
        private String authCode;
        private String secKey;
        private int chip;
        private boolean obsv;
        private boolean obsvSt;
        private List<String> imsiOld;
        private LocalDateTime imsiMt;
        private int intelligentWay;

    }
}
