package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 定位日志对象 et_location_log
 *
 * @author ruoyi
 * @date 2024-08-20
 */
@Data
public class EtLocationLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 定位id */
    private Long locationId;

    /** mac */
    @Excel(name = "mac")
    private String mac;

    /** onenet接收到的消息 */
    @Excel(name = "onenet接收到的消息")
    private String onenetMsg;

    /** 经度 */
    @Excel(name = "经度")
    private String longitude;

    /** 纬度 */
    @Excel(name = "纬度")
    private String latitude;

    @Excel(name = "onenet消息时间")
    private Date at;

    /** 车辆状态 */
    @Excel(name = "车辆状态")
    private String status;

    /** 锁状态 */
    @Excel(name = "锁状态")
    private String lockStatus;

    @Excel(name = "电动车状态")
    private Integer status2;//电动车状态 0断电，1上电运行 2轮动抱死  3超出区域断电（远程下发了qlose）  解析参数

    @Excel(name = "电池电压")
    private Integer bat;//电池电压  "bat":571  ==>  57.1V

    @Excel(name = "信号强度")
    private Integer csq;//信号强度

    @Excel(name = "卫星数量")
    private Integer s;//卫星数量

    @Excel(name = "钥匙")
    private Integer q;//钥匙

}
