package com.ruoyi.system.domain.vo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 平台对账
 *
 * @author 邱贞招
 * @date 2024-10-02
 */
@Data
public class SelfReconciliationVO {

    //日期 格式：yyyy-MM-dd
    private String day;

    //押金余额
    private BigDecimal depositBalance= BigDecimal.ZERO;

    //总流水
    private BigDecimal totalFlowAmount= BigDecimal.ZERO;

    //订单支付  包含押金抵扣
    private BigDecimal orderPaid= BigDecimal.ZERO;

    //押金充值
    private BigDecimal depositPaid= BigDecimal.ZERO;

    //押金抵扣金额
    private BigDecimal deductionAmount= BigDecimal.ZERO;

    //总支出
    private BigDecimal totalExpenditure= BigDecimal.ZERO;

    //订单退款
    private BigDecimal orderRefund= BigDecimal.ZERO;

    //押金退款
    private BigDecimal depositRefund= BigDecimal.ZERO;

    //押金变化
    private BigDecimal depositChange= BigDecimal.ZERO;

    //用户账变收入
    private BigDecimal userReceipts= BigDecimal.ZERO;

    //手续费
    private BigDecimal handlingCharge= BigDecimal.ZERO;

    // 平台服务费
    private BigDecimal platformServiceFee= BigDecimal.ZERO;

    //结算金额
    private BigDecimal settlementAmount= BigDecimal.ZERO;
}
