package com.ruoyi.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.EtModelRule;

/**
 * 区域与收费方式关联 数据层
 *
 * @author ruoyi
 */
public interface EtModelRuleMapper extends BaseMapper<EtModelRule>
{
    /**
     * 通过用运营区ID删除区域与收费方式关联
     *
     * @param modelId 车型id
     * @return 结果
     */
    @Log(title = "mapper中，根据车型id删除车型与收费方式关系", businessType = BusinessType.DELETE)
    public int deleteModelRuleByModelId(Long modelId);

//    /**
//     * 通过用ruleId删除区域与收费方式关联
//     *
//     * @param ruleId 运营区id
//     * @return 结果
//     */
//    public int deleteModelRuleByRuleId(Long ruleId);

}
